using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.Requests.TestPaper
{
    public class TestPaperQuestionRequest : IQueryRequest
    {
        /// <summary>
        /// 标签
        /// </summary>
        [Description("标签")]
        public List<string> TagIds { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [Description("数量")]
        public int Count { get; set; }

        /// <summary>
        /// 难度
        /// </summary>
        [Description("难度")]
        public EDifficultyLevel? DifficultyLevel { get; set; }

        /// <summary>
        /// 已选择的试题Id
        /// </summary>
        [Description("已选择的试题Id")]
        public List<string> QuestionIds { get; set; }

    }
}
